> ## Documentation Index
> Fetch the complete documentation index at: https://api.veda.net/llms.txt
> Use this file to discover all available pages before exploring further.

# Groups



## OpenAPI

````yaml GET /api/v1/groups/{type}
openapi: 3.1.0
info:
  title: VEDA API
  description: >-
    The VEDA API is a unified API that provides access to various components of
    the VEDA HR Cloud. It simplifies the integration process by offering a
    single entry point for all API requests.
  contact:
    name: Tim Augustin
    email: tim.augustin@veda.net
  version: v1
servers: []
security: []
paths:
  /api/v1/groups/{type}:
    get:
      tags:
        - employees-controller
      operationId: getGroups
      parameters:
        - name: type
          in: path
          description: >-
            In order to identify the correct source for all groups or the group
            with the given ID, we need to know the group type.
          required: true
          schema:
            type: string
            description: >-
              In order to identify the correct source for all groups or the
              group with the given ID, we need to know the group type.
            enum:
              - COMPANY
              - PAYROLL_COMPANY
              - TIME_COMPANY
              - ORGANISATIONAL_UNIT
        - name: id
          in: query
          description: Filter by id
          required: false
          schema:
            type: string
            description: Filter by id
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/GroupsGroup'
components:
  schemas:
    GroupsGroup:
      type: object
      properties:
        id:
          type: string
          description: |
            The group's identifier. Format depends on `type`:
            - `COMPANY`: UUID
            - `PAYROLL_COMPANY`: string
            - `TIME_COMPANY`: string
            - `ORGANISATIONAL_UNIT`: UUID
        name:
          type: string
          description: Textual name of the group.
        type:
          type: string
          description: |
            Type of the group.

            - `COMPANY`
                1. Platform - Administration > Personnel Management > Companies (Formerly /companies)
            - `PAYROLL_COMPANY`
               1. Payroll Expert (Formerly /companies)
            - `TIME_COMPANY`
                1. Time Expert (Formerly /companies)
            - `ORGANISATIONAL_UNIT`
                1. Platform - Administration > Personnel Management > Organisational units (Formerly /divisions)
          enum:
            - COMPANY
            - PAYROLL_COMPANY
            - TIME_COMPANY
            - ORGANISATIONAL_UNIT

````